[arch-commits] CVS update of extra/modules/fglrx-utils (5 files)

Travis Willard travis at archlinux.org
Mon Apr 23 03:38:19 UTC 2007


    Date: Sunday, April 22, 2007 @ 23:38:19
  Author: travis
    Path: /home/cvs-extra/extra/modules/fglrx-utils

   Added: PKGBUILD (1.1) amdcccle.desktop (1.1) atieventsd.sh (1.1)
          fglrx-utils.install (1.1) fglrx.sh (1.1)

upgpkg: fglrx-utils 8.36.5-1
Upstream update - renamed from ati-fglrx-* to fglrx-* since AMD buyout and subsequent drop of ATI branding.


---------------------+
 PKGBUILD            |  115 ++++++++++++++++++++++++++++++++++++++++++++++++++
 amdcccle.desktop    |   17 +++++++
 atieventsd.sh       |   41 +++++++++++++++++
 fglrx-utils.install |   39 ++++++++++++++++
 fglrx.sh            |   11 ++++
 5 files changed, 223 insertions(+)


Index: extra/modules/fglrx-utils/PKGBUILD
diff -u /dev/null extra/modules/fglrx-utils/PKGBUILD:1.1
--- /dev/null	Sun Apr 22 23:38:19 2007
+++ extra/modules/fglrx-utils/PKGBUILD	Sun Apr 22 23:38:18 2007
@@ -0,0 +1,115 @@
+# $Id: PKGBUILD,v 1.1 2007/04/23 03:38:18 travis Exp $
+# Maintainer: Travis Willard <travisw at wmpub.ca>
+
+# Thanks to dibblethewrecker for the original work and packages.
+# Thanks to testing monkey S1G1 for contributions
+
+pkgname=fglrx-utils
+pkgver=8.36.5
+pkgrel=1
+pkgdesc="Proprietary userspace tools and libraries for the AMD/ATI RADEON (9500 and later), \
+         MOBILITY RADEON (M10 and later), RADEON XPRESS IGP and FireGL (Z1 and later) series of graphics accelerators."
+arch=('i686' 'x86_64')
+url="http://www.ati.com"
+license=('custom:"ATI"') #license provided in this package also applies to
+                         #kernel module pkgs, and is noted in their PKGBUILDs
+depends=('xorg-server>=1.1.1' 'libdrm' 'libstdc++5' 'netkit-bsd-finger')  #finger required for acpi scripts
+replaces=('ati-drivers' 'ati-fglrx-utils')
+conflicts=('libgl' 'ati-drivers-module' 'ati-drivers' 'nvidia') 
+provides=('libgl')
+options=('!strip')
+install=$pkgname.install
+source=(http://www2.ati.com/drivers/linux/ati-driver-installer-$pkgver-x86.x86_64.run \
+        amdcccle.desktop fglrx.sh atieventsd.sh)
+
+build() {
+    cd $startdir/src
+
+    [ "$CARCH" = "i686" ] && _arch="x86";
+    [ "$CARCH" = "x86_64" ] && _arch="x86_64";
+
+    chmod a+x ati-driver-installer-$pkgver-x86.x86_64.run
+    ./ati-driver-installer-$pkgver-x86.x86_64.run --extract archive_files
+
+    # Grab the example ACPI scripts for lid close and AC plugged/unplugged
+    mkdir -p $startdir/src/etc/
+    cp $startdir/src/archive_files/common/usr/share/doc/fglrx/examples/etc/acpi $startdir/src/etc -r
+    sed -i "s#/usr/X11R6/bin/aticonfig#/usr/bin/aticonfig#g" $startdir/src/etc/acpi/ati-powermode.sh || return 1
+    sed -i "s#--effective=now##g" $startdir/src/etc/acpi/ati-powermode.sh || return 1
+ 
+    # Get our architecture files and common files all in one place
+    cp $startdir/src/archive_files/arch/${_arch}/* $startdir/src/ -r
+    cp $startdir/src/archive_files/common/* $startdir/src/ -r
+    if [ "$CARCH" = "x86_64" ]; then
+       cp $startdir/src/archive_files/x710_64a/* $startdir/src/ -r
+       cp $startdir/src/archive_files/x690_64a/usr/X11R6/bin $startdir/src/usr/X11R6/ -r
+     else
+       cp $startdir/src/archive_files/x710/* $startdir/src/ -r
+       cp $startdir/src/archive_files/x690/usr/X11R6/bin $startdir/src/usr/X11R6/ -r
+    fi
+
+    # Remove src and documents - install remaining files
+    mkdir -p $startdir/src/usr/share/pixmaps
+    mv $startdir/src/usr/share/icons/* $startdir/src/usr/share/pixmaps/
+    rm -rf $startdir/src/usr/{src,share/{icons,doc,applnk,gnome}}
+
+    # Install into correct paths for Xorg7
+    install -d -m 755 $startdir/pkg/usr/include $startdir/pkg/usr/bin \
+            $startdir/pkg/usr/lib/xorg/modules $startdir/pkg/etc \
+            $startdir/pkg/usr/share $startdir/pkg/usr/sbin \
+            $startdir/pkg/etc/rc.d $startdir/pkg/etc/acpi
+
+    mv $startdir/src/etc/* $startdir/pkg/etc/
+    mv $startdir/src/usr/sbin/* $startdir/pkg/usr/sbin/
+    mv $startdir/src/usr/include/* $startdir/pkg/usr/include/
+    mv $startdir/src/usr/share/* $startdir/pkg/usr/share/
+    mv $startdir/src/usr/X11R6/include/* $startdir/pkg/usr/include/
+    mv $startdir/src/usr/X11R6/bin/* $startdir/pkg/usr/bin/
+    if [ "$CARCH" == "x86_64" ]; then
+      mv $startdir/src/usr/X11R6/lib64/modules/* $startdir/pkg/usr/lib/xorg/modules/
+      rm -rf $startdir/src/usr/X11R6/lib64/modules
+      mv $startdir/src/usr/X11R6/lib64/* $startdir/pkg/usr/lib
+     else 
+      mv $startdir/src/usr/X11R6/lib/modules/* $startdir/pkg/usr/lib/xorg/modules/
+      rm -rf $startdir/src/usr/X11R6/lib/modules
+      mv $startdir/src/usr/X11R6/lib/* $startdir/pkg/usr/lib/
+    fi
+
+    # create proper symlinks to libGL.so, libfglrx_pp.so, and libfglrx_gamma.so
+    cd $startdir/pkg/usr/lib
+    ln -s libGL.so.1.2 libGL.so
+    ln -s libGL.so.1.2 libGL.so.1
+    ln -sf /usr/lib/libfglrx_pp.so.1.0 libfglrx_pp.so.1
+    ln -sf /usr/lib/libfglrx_gamma.so.1.0 libfglrx_gamma.so.1
+
+    mkdir -p ${startdir}/pkg/usr/lib/xorg/modules/extensions
+    cd ${startdir}/pkg/usr/lib/xorg/modules/extensions
+    ln -sf libGLcore.xorg libGLcore.so
+    ln -sf libglx.xorg libglx.so
+    
+    # correct dir permissions
+    find $startdir/pkg/usr -type d -exec chmod 755 {} \;
+
+    # install licenses
+    install -m644 -D $startdir/src/archive_files/ATI_LICENSE.TXT \
+                     $startdir/pkg/usr/share/licenses/ATI/ATI_LICENSE.TXT
+    # create DE file
+    install -m 755 -D $startdir/src/amdcccle.desktop \
+            $startdir/pkg/usr/share/applications/amdcccle.desktop
+    # thanks to cerebral, we dont need that damned symlink
+    install -m 755 -D $startdir/src/fglrx.sh \
+            $startdir/pkg/etc/profile.d/fglrx.sh
+    # Add ATI Events Daemon launcher
+    install -m 755 -D $startdir/src/atieventsd.sh \
+            $startdir/pkg/etc/rc.d/atieventsd
+
+}
+
+md5sums=('bf056417ac6c57acdf5e5a6bb99a7dae'
+         '4b24c3e9548877855a732b069b70fb9b'
+         'bdafe749e046bfddee2d1c5e90eabd83'
+         'f729bf913613f49b0b9759c246058a87')
+sha1sums=('c0edc17d1816ec7415d64d0cc85193060f61e080'
+          'c1adc121a88d92a831e1a2a273f7b29290159da5'
+          '5339ab8c6268bd8a886c56bd1ea25ecd2fe09985'
+          '3a9444e247e46df62c8effb64f8ed39d3665c5c5')
Index: extra/modules/fglrx-utils/amdcccle.desktop
diff -u /dev/null extra/modules/fglrx-utils/amdcccle.desktop:1.1
--- /dev/null	Sun Apr 22 23:38:19 2007
+++ extra/modules/fglrx-utils/amdcccle.desktop	Sun Apr 22 23:38:19 2007
@@ -0,0 +1,17 @@
+[Desktop Entry]
+Name=ATI Catalyst Control Center
+Comment=ATI graphics adapter settings
+Name[de]=ATI Catalyst Control Center
+Comment[de]=ATI grafics adapter settings
+SwallowExec=
+BinaryPattern=
+Icon=ccc_large.xpm
+MiniIcon=ccc_small.xpm
+Protocols=
+MimeType=
+Exec=amdcccle
+TerminalOptions=
+Path=
+DocPath=
+Type=Application
+Terminal=0
Index: extra/modules/fglrx-utils/atieventsd.sh
diff -u /dev/null extra/modules/fglrx-utils/atieventsd.sh:1.1
--- /dev/null	Sun Apr 22 23:38:19 2007
+++ extra/modules/fglrx-utils/atieventsd.sh	Sun Apr 22 23:38:19 2007
@@ -0,0 +1,41 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+ATID_PID=`pidof -o %PPID /usr/sbin/atieventsd`
+
+case "$1" in
+  start)
+    rc=0
+    stat_busy "Starting ATI Events Daemon"
+    [ -z "$ATID_PID" ] && /usr/sbin/atieventsd
+    rc=$(($rc+$?))
+    if [ $rc -gt 0 ]; then
+      stat_fail
+    else
+      add_daemon atieventsd
+      stat_done
+    fi
+    ;;
+  stop)
+    rc=0
+    stat_busy "Stopping ATI Events Daemon"
+    kill $ATID_PID &>/dev/null
+    rc=$(($rc+$?))
+    if [ $rc -gt 0 ]; then
+      stat_fail
+    else
+      rm_daemon atieventsd
+      stat_done
+    fi
+    ;;
+  restart)
+    $0 stop
+    sleep 1
+    $0 start
+    ;;
+  *)
+    echo "usage: $0 {start|stop|restart}"  
+esac
+exit 0
Index: extra/modules/fglrx-utils/fglrx-utils.install
diff -u /dev/null extra/modules/fglrx-utils/fglrx-utils.install:1.1
--- /dev/null	Sun Apr 22 23:38:19 2007
+++ extra/modules/fglrx-utils/fglrx-utils.install	Sun Apr 22 23:38:19 2007
@@ -0,0 +1,39 @@
+# This is a default template for a post-install scriptlet.  You can
+# remove any functions you don't need (and this header).
+
+# arg 1:  the new package version
+pre_install() {
+  /bin/true
+}
+
+# arg 1:  the new package version
+post_install() {
+  echo "PLEASE NOTE:" 
+  echo "For these drivers to work, you must install kernel modules." 
+  echo "Depending on your kernel, these module packages are named"
+  echo "fglrx-\$kernel - ie. beyond kernel module is fglrx-beyond"
+  echo "--------------------------------------------------------------"
+  echo "You can use the tool 'aticonfig' to generate an xorg.conf file."
+  echo "Remember to add fglrx to the MODULES list in /etc/rc.conf."
+  echo "--------------------------------------------------------------"
+}
+
+# arg 1:  the new package version
+# arg 2:  the old package version
+post_upgrade() {
+  /bin/true
+}
+
+# arg 1:  the old package version
+pre_remove() {
+  /bin/true
+}
+
+# arg 1:  the old package version
+post_remove() {
+  /bin/true
+}
+
+op=$1
+shift
+$op $*
Index: extra/modules/fglrx-utils/fglrx.sh
diff -u /dev/null extra/modules/fglrx-utils/fglrx.sh:1.1
--- /dev/null	Sun Apr 22 23:38:19 2007
+++ extra/modules/fglrx-utils/fglrx.sh	Sun Apr 22 23:38:19 2007
@@ -0,0 +1,11 @@
+if [ $LIBGL_DRIVERS_PATH ] 
+then 
+  if ! set | grep LIBGL_DRIVERS_PATH | grep /usr/lib/xorg/modules/dri/ > /dev/null 
+  then 
+    LIBGL_DRIVERS_PATH=$LIBGL_DRIVERS_PATH:/usr/lib/xorg/modules/dri/ 
+    export LIBGL_DRIVERS_PATH 
+  fi  
+else 
+  LIBGL_DRIVERS_PATH=/usr/lib/xorg/modules/dri/ 
+  export LIBGL_DRIVERS_PATH 
+fi 




More information about the arch-commits mailing list